////////////////////////////////////////////////////////////////////////////////
// Palette.h
// Copyright Bjoern Ganster
// Developed since 2022
////////////////////////////////////////////////////////////////////////////////

#ifndef Palette__H
#define Palette__H

#include "BGBase.h"

struct Palette {
	uint8_t values[768];

	// Get palette entry
	void getRGB(uint8_t index, uint8_t& r, uint8_t& g, uint8_t& b) const;

	// Set palette entry
	void setRGB(uint8_t index, uint8_t r, uint8_t g, uint8_t b);

	// Set random palette
	void randomize();
};

#endif
